diff --git a/src/backend/access/transam/xlogarchive.c b/src/backend/access/transam/xlogarchive.c
index d40317168e..86c8383e11 100644
--- a/src/backend/access/transam/xlogarchive.c
+++ b/src/backend/access/transam/xlogarchive.c
@@ -762,11 +762,11 @@ XLogArchiveCleanup(const char *xlog)
 
 	/* Remove the .done file */
 	StatusFilePath(archiveStatusPath, xlog, ".done");
-	unlink(archiveStatusPath);
+	durable_unlink(archiveStatusPath, DEBUG1);
 	/* should we complain about failure? */
 
 	/* Remove the .ready file if present --- normally it shouldn't be */
 	StatusFilePath(archiveStatusPath, xlog, ".ready");
-	unlink(archiveStatusPath);
+	durable_unlink(archiveStatusPath, DEBUG1);
 	/* should we complain about failure? */
 }
